Loading...
Searching...
No Matches
fastjet::TopTaggerBase Class Reference
FastJet tools » Taggers

A base class that provides a common interface for top taggers that are able to return a W (in addition to the top itself). More...

`#include <fastjet/tools/TopTaggerBase.hh>`

Inheritance diagram for fastjet::TopTaggerBase:
[legend]
Collaboration diagram for fastjet::TopTaggerBase:
[legend]

## Public Types

typedef TopTaggerBaseStructure | StructureType
| the type of the associated structure
Public Types inherited from fastjet::Transformer
typedef PseudoJetStructureBase | StructureType
| A typedef that is needed to ensure that the PseudoJet::structure_of() template function works.

## Public Member Functions

void | set_top_selector (const Selector &sel)
| sets the selector that is applied to the top candidate
void | set_W_selector (const Selector &sel)
| sets the selector that is applied to the W candidate
virtual std::string | description_of_selectors () const
| returns a description of the top and W selectors
Public Member Functions inherited from fastjet::Transformer
| Transformer ()
| default ctor
virtual | ~Transformer ()
| default dtor
virtual PseudoJet | result (const PseudoJet &original) const =0
| the result of the Transformer acting on the PseudoJet.
virtual std::string | description () const =0
| This should be overloaded to return a description of the Transformer.
Public Member Functions inherited from fastjet::FunctionOfPseudoJet< PseudoJet >
| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
PseudoJet | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.

## Protected Member Functions

double | _cos_theta_W (const PseudoJet &result) const
| computes the W helicity angle

## Protected Attributes

Selector | _top_selector
Selector | _W_selector
bool | _top_selector_set
bool | _W_selector_set

## Detailed Description

A base class that provides a common interface for top taggers that are able to return a W (in addition to the top itself).

Top taggers that derive from this should satisfy the following criteria:

- their underlying structure should derive from TopTaggerBaseStructure
- tagged tops should have two pieces, the first of which is the W candidate
- they should apply the top and W selectors to decide if the top has been tagged

Definition at line 55 of file TopTaggerBase.hh.

## Member Typedef Documentation

## StructureType

typedef TopTaggerBaseStructure fastjet::TopTaggerBase::StructureType

the type of the associated structure

Definition at line 63 of file TopTaggerBase.hh.

## Constructor & Destructor Documentation

## TopTaggerBase()

fastjet::TopTaggerBase::TopTaggerBase | ( |  | ) |

inline

Definition at line 57 of file TopTaggerBase.hh.

## Member Function Documentation

## set_top_selector()

void fastjet::TopTaggerBase::set_top_selector | ( | const Selector & | sel | ) |

inline

sets the selector that is applied to the top candidate

Definition at line 66 of file TopTaggerBase.hh.

## set_W_selector()

void fastjet::TopTaggerBase::set_W_selector | ( | const Selector & | sel | ) |

inline

sets the selector that is applied to the W candidate

Definition at line 68 of file TopTaggerBase.hh.

## description_of_selectors()

virtual std::string fastjet::TopTaggerBase::description_of_selectors | ( |  | ) | const

inline virtual

returns a description of the top and W selectors

Definition at line 71 of file TopTaggerBase.hh.

## _cos_theta_W()

double fastjet::TopTaggerBase::_cos_theta_W | ( | const PseudoJet & | result | ) | const

protected

computes the W helicity angle

Definition at line 52 of file TopTaggerBase.cc.

## Member Data Documentation

## _top_selector

Selector fastjet::TopTaggerBase::_top_selector

protected

Definition at line 82 of file TopTaggerBase.hh.

## _W_selector

Selector fastjet::TopTaggerBase::_W_selector

protected

Definition at line 82 of file TopTaggerBase.hh.

## _top_selector_set

bool fastjet::TopTaggerBase::_top_selector_set

protected

Definition at line 83 of file TopTaggerBase.hh.

## _W_selector_set

bool fastjet::TopTaggerBase::_W_selector_set

protected

Definition at line 83 of file TopTaggerBase.hh.

The documentation for this class was generated from the following files:

- tools/fastjet/tools/TopTaggerBase.hh
- tools/TopTaggerBase.cc